### Method

# Pango Layout set_markup_with_accel

#### Declaration [src]

    void
    pango_layout_set_markup_with_accel (
      PangoLayout* layout,
      const char* markup,
      int length,
      gunichar accel_marker,
      gunichar* accel_char
    )

#### Description [src]

Sets the layout text and attribute list from marked-up text.

See Pango Markup).

Replaces the current text and attribute list.

If `accel_marker` is nonzero, the given character will mark the character following it as an accelerator. For example, `accel_marker` might be an ampersand or underscore. All characters marked as an accelerator will receive a `PANGO_UNDERLINE_LOW` attribute, and the first character so marked will be returned in `accel_char`. Two `accel_marker` characters following each other produce a single literal `accel_marker` character.

#### Parameters

`markup`

  Type: `const char*`

  Marked-up text (see Pango Markup).

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`length`

  Type: `int`

  Length of marked-up text in bytes, or -1 if `markup` is `NUL`-terminated.

`accel_marker`

  Type: `gunichar`

  Marker for accelerators in the text.

`accel_char`

  Type: `gunichar*`

  Return location for first located accelerator.

  The argument will be set by the function.
  The argument can be `NULL`.